View Issue Details

IDProjectCategoryView StatusLast Update
0001102Main CAcert Websitewebsite contentpublic2013-09-24 19:16
ReporterUli60Assigned ToMartinGummi 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSwin7OS Version
Product Version2012 Q3 
Target Version2013 Q2Fixed in Version2013 Q2 
Summary0001102: New Class3 root Policy links to http://www.CAcert.org/index.php?id=10; page displays: plz correct link
Descriptionie9 (9.0.8112.16421) (9.0.10) displaying Class3 cert
select issuer policy
links to: http://www.CAcert.org/index.php?id=10

under details: issuer policy displays:
[1]Zertifikatrichtlinie:
     Richtlinienbezeichner=1.3.6.1.4.1.18506
     [1,1]Richtlinienkennzeichnerinformationen:
          Kennung des Richtlinienqualifizierers=CPS
          Qualifizierer:
               http://www.CAcert.org/index.php?id=10

once you click on "issuer policy" button, the link goes to www.cacert.org
website and displays following error/warning message:
"This page has been moved to the policy directory. Please update your bookmarks and report any broken links."
with the link http://www.cacert.org/policy/PrivacyPolicy.html
under "policy directory"

if you click the given link (http://www.cacert.org/policy/PrivacyPolicy.html)
the policy appears.

Relief:
a) the error/warning shall redirect w/o error/warning message to the final page:
   http://www.cacert.org/policy/PrivacyPolicy.html
b) the harder one:
   recreate class3 subroot with PrivacyPolicy direct link



TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001131 closedNEOatNHNG Rename _all_ Policies from .php to .html and fix all links (was: Rename PolicyOnPolicy.php to .html) 

Activities

Werner Dworak

2012-12-27 16:52

updater   ~0003575

The same with Firefox 16

MartinGummi

2013-06-18 07:35

updater   ~0004061

Link fixed

https://github.com/magujs/cacert-devel/commit/744a57f63dcbccd268e0039cfe856b1c268ce2d4 [^]

MartinGummi

2013-06-18 20:57

updater   ~0004065

fix tested on local testserver => passed

INOPIAE

2013-06-18 22:59

updater   ~0004067

calling https://cacert1.it-sls.de/index.php?id=10 redirects to http://www.cacert.org/policy/CertificationPracticeStatement.php
=>ok

NEOatNHNG

2013-06-18 23:01

administrator   ~0004068

Changes look good. Please test and do a second review.

BenBE

2013-06-19 20:10

updater   ~0004072

Minor update to the patch to avoid splitting the PHP code block unnecessarily.

Uli60

2013-06-25 21:30

updater   ~0004076

link https://cacert1.it-sls.de/index.php?id=10
goes directly to http://www.cacert.org/policy/CertificationPracticeStatement.php
=> ok

sidenote: beware patch 1131

wytze

2013-06-26 13:47

developer   ~0004082

The fix has been installed on the production server on June 26, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-06/msg00013.html

Issue History

Date Modified Username Field Change
2012-09-28 23:32 Uli60 New Issue
2012-12-27 16:52 Werner Dworak Note Added: 0003575
2012-12-27 16:52 Werner Dworak Status new => needs work
2013-06-18 07:35 MartinGummi Note Added: 0004061
2013-06-18 07:35 MartinGummi Assigned To => MartinGummi
2013-06-18 07:35 MartinGummi Status needs work => fix available
2013-06-18 20:57 MartinGummi Note Added: 0004065
2013-06-18 22:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable c23781b8
2013-06-18 22:20 MartinGummi Source_changeset_attached => cacert-devel testserver-stable 744a57f6
2013-06-18 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f4219c1f
2013-06-18 22:55 MartinGummi Source_changeset_attached => cacert-devel testserver-stable 88236d82
2013-06-18 22:59 INOPIAE Note Added: 0004067
2013-06-18 23:01 NEOatNHNG Reviewed by => NEOatNHNG
2013-06-18 23:01 NEOatNHNG Note Added: 0004068
2013-06-18 23:01 NEOatNHNG Status fix available => needs review & testing
2013-06-19 20:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 829ee6f0
2013-06-19 20:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 112033ca
2013-06-19 20:10 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2013-06-19 20:10 BenBE Note Added: 0004072
2013-06-19 20:10 BenBE Status needs review & testing => needs testing
2013-06-19 20:10 BenBE Product Version => 2012 Q3
2013-06-19 20:10 BenBE Target Version => 2013 Q2
2013-06-25 21:30 Uli60 Note Added: 0004076
2013-06-25 21:30 Uli60 Relationship added related to 0001131
2013-06-25 21:48 BenBE Status needs testing => ready to deploy
2013-06-25 22:15 BenBE Source_changeset_attached => cacert-devel release 9a81215a
2013-06-26 13:47 wytze Note Added: 0004082
2013-06-26 13:47 wytze Status ready to deploy => solved?
2013-06-26 13:47 wytze Fixed in Version => 2013 Q2
2013-06-26 13:47 wytze Resolution open => fixed
2013-09-24 19:16 INOPIAE Status solved? => closed